Bug 1201693 - Horizon reacts badly when the "current" project is deleted
Summary: Horizon reacts badly when the "current" project is deleted
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 6.0 (Juno)
Assignee: Radomir Dopieralski
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 09:49 UTC by Eduard Barrera
Modified: 2019-12-16 04:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 14:38:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1166585 0 None None None Never
Launchpad 1324662 0 None None None Never

Description Eduard Barrera 2015-03-13 09:49:56 UTC
Description of problem:

an admin user is able to delete the current project where he is logged in

Version-Release number of selected component (if applicable):
Openstack 5 and 6

How reproducible:
always

Steps to Reproduce:
1. Create demo user and grup and grant admin to demo
2. Login as demo user
3. Switch to admin tab and delete demo project

Actual results:

you are able to delete the current project you are logged in
horizon is giving up error messages like
  "Error: Unauthorized: Unable to retrieve instances."

Expected results:

To define, for example not beeing able to delete the current project, switch to a list of project you have access, switch to another project

Additional info:

Comment 5 Matthias Runge 2015-12-15 12:09:12 UTC
Re-adjusting target release

Comment 12 Radomir Dopieralski 2017-08-31 14:38:10 UTC
This is a very rare problem that only appears in osp5 and osp6 now, we are not going to be fixing this.


Note You need to log in before you can comment on or make changes to this bug.